# $Revision: 1.25 $, $Date: 2004/12/24 21:43:31 $
%define		pname	IPython
Summary:	An enhanced Interactive Python shell
Summary(pl):	Interaktywna powoka jzyka Python
Name:		ipython
Version:	0.6.4
Release:	2
License:	LGPL
Group:		Applications/Shells
Source0:	http://ipython.scipy.org/dist/%{name}-%{version}.tar.gz
# Source0-md5:	14261f8f921d6b35e343c2910bb6a974
Patch0:		%{name}-import_path.patch
URL:		http://ipython.scipy.org
%pyrequires_eq	python
Requires:	python-%{name} = %{version}
BuildRequires:	rpm-pythonprov >= 4.0.2-50
BuildRequires:	python-devel
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPython is a free software project which tries to:

1. Provide an interactive interpreter superior to Python's default.
IPython has many features for object introspection, shell access, and
its own special command system for adding functionality when working
interactively.

2. Serve as an embeddable, ready to use interpreter for your own
programs. IPython can be started with a single call from inside
another program, providing access to the current namespace. This can
be very useful both for debugging purposes and for situations where a
blend of batch-processing and interactive exploration are needed.

3. Offer a flexible framework which can be used as the base
environment for other systems with Python as the underlying language.
Specifically scientific environments like Mathematica, IDL and Mathcad
inspired its design, but similar ideas can be useful in many fields.

This package contains IPython shell.

%description -l pl
IPython jest wolnym oprogramowaniem, ktrego celem jest:

1. Dostarczenie interaktywnej powoki lepszej od standardowej
dostarczanej z jzykiem Python. IPython umoliwia badanie obiektw,
dostp do powoki oraz wasny system polece, ktry umoliwia
rozszerzanie funkcjonalnoci podczas pracy interaktywnej.

2. Dostarczenie gotowego interpretera, ktry mona docza do wasnej
aplikacji. IPython moe zosta uruchomiony za pomoc wywoania jednej
funkcji z poziomu innego programu umoliwiajc jednoczenie dostp do
aktualnej przestrzeni nazw tego programu. Moe to by bardzo uyteczne
do celw takich jak ledzenie programu czy te sytuacji gdzie jest
wymagane poczenie przetwarzania wsadowego z interaktywn
introspekcj.

3. Dostarczenie szkieletu, ktry moe zosta uyty jako podstawa
systemu, ktrego polecenia opieraj si na zasadach jzyka Python.
Projekt zosta zainspirowany przez oprogramowanie naukowe takie jak
Mathematica, IDL oraz Mathcad, gdzie podobne idee mog by realizowane
w wielu przypadkach.

Pakiet ten zawiera powok IPython.

%package -n python-ipython
Summary:	An enhanced Interactive Python shell modules
Summary(pl):	Moduy interaktywnej powoki jzyka Python
Group:		Libraries/Python
%pyrequires_eq	python-devel-tools
%pyrequires_eq	pydoc

%description -n python-ipython
IPython is a free software project which tries to:

1. Provide an interactive interpreter superior to Python's default.
IPython has many features for object introspection, shell access, and
its own special command system for adding functionality when working
interactively.

2. Serve as an embeddable, ready to use interpreter for your own
programs. IPython can be started with a single call from inside
another program, providing access to the current namespace. This can
be very useful both for debugging purposes and for situations where a
blend of batch-processing and interactive exploration are needed.

3. Offer a flexible framework which can be used as the base
environment for other systems with Python as the underlying language.
Specifically scientific environments like Mathematica, IDL and Mathcad
inspired its design, but similar ideas can be useful in many fields.

This package contains IPython modules.

%description -n python-ipython -l pl
IPython jest wolnym oprogramowaniem, ktrego celem jest:

1. Dostarczenie interaktywnej powoki lepszej od standardowej
dostarczanej z jzykiem Python. IPython umoliwia badanie obiektw,
dostp do powoki oraz wasny system polece, ktry umoliwia
rozszerzanie funkcjonalnoci podczas pracy interaktywnej.

2. Dostarczenie gotowego interpretera, ktry mona docza do wasnej
aplikacji. IPython moe zosta uruchomiony za pomoc wywoania jednej
funkcji z poziomu innego programu umoliwiajc jednoczenie dostp do
aktualnej przestrzeni nazw tego programu. Moe to by bardzo uyteczne
do celw takich jak ledzenie programu czy te sytuacji gdzie jest
wymagane poczenie przetwarzania wsadowego z interaktywn
introspekcj.

3. Dostarczenie szkieletu, ktry moe zosta uyty jako podstawa
systemu, ktrego polecenia opieraj si na zasadach jzyka Python.
Projekt zosta zainspirowany przez oprogramowanie naukowe takie jak
Mathematica, IDL oraz Mathcad, gdzie podobne idee mog by realizowane
w wielu przypadkach.

Pakiet ten zawiera moduy interaktywnej powoki jzyka Python.

%prep
%setup -q
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT

python ./setup.py install --optimize=2 --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%exclude %{_bindir}/*.orig
%{_mandir}/man1/*

%files -n python-ipython
%defattr(644,root,root,755)
%doc README doc/{ChangeLog,NEWS} doc/manual doc/*.pdf
%dir %{py_sitescriptdir}/%{pname}
%dir %{py_sitescriptdir}/%{pname}/Extensions
%dir %{py_sitescriptdir}/%{pname}/UserConfig
%{py_sitescriptdir}/%{pname}/*.py?
%{py_sitescriptdir}/%{pname}/Extensions/*.py?
%{py_sitescriptdir}/%{pname}/UserConfig

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ipython.spec,v $
Revision 1.25  2004/12/24 21:43:31  arekm
- rel 2

Revision 1.24  2004/11/09 12:14:09  wrobell
- ver. 0.6.4

Revision 1.23  2004/11/03 22:30:08  paladine
- formatting

Revision 1.22  2004/09/01 11:09:39  wrobell
- ver. 0.6.3

Revision 1.21  2004/08/31 15:52:46  snurf
- typos / formatting / etc.

Revision 1.20  2004/07/28 08:03:14  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.19  2004/05/15 21:46:46  leafnode
- updated to 0.6.0

Revision 1.18  2004/04/07 10:05:21  wrobell
- python-ipython requires python-devel-tools due to pdb module
- rel. 3

Revision 1.17  2003/12/11 15:53:29  wrobell
- rel. 2 due to patch, which prevents importing modules from /usr/bin

Revision 1.16  2003/09/27 22:51:40  wrobell
- fixed requirements

Revision 1.15  2003/09/27 22:46:29  wrobell
- ver. 0.5.0

Revision 1.14  2003/05/28 12:59:11  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 05:49:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/12/13 15:24:04  ankry
- adapterized

Revision 1.11  2002/11/27 21:10:39  juandon
- new %%doc

Revision 1.10  2002/04/30 13:51:22  wrobell
- ver. 0.2.10, stb

Revision 1.9  2002/04/11 13:49:07  wrobell
- rel. 2, stb

Revision 1.8  2002/04/11 13:45:33  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.7  2002/04/04 18:30:20  serek
- + requires.

Revision 1.6  2002/03/20 15:13:42  wrobell
- pl description fixes
- rel. 1
- stb

Revision 1.5  2002/03/20 02:14:41  wrobell
- content of UserConfig directory revised
- update todo to current situation
- rel. 0.4

Revision 1.4  2002/03/20 01:58:04  wrobell
- python-ipython package pl description
- adapterized
- rel. 0.3

Revision 1.3  2002/03/20 01:51:25  wrobell
- subpackage with modules
- pl description

Revision 1.2  2002/03/19 19:01:53  wrobell
- updated todo
- group changed to Applications/Shells

Revision 1.1  2002/03/19 18:58:11  wrobell
- based on happydoc.spec

